# FoundationClasses
TKernel
NCollection

# NCollection_BaseSequence Class Reference

`#include <NCollection_BaseSequence.hxx>`

Inheritance diagram for NCollection_BaseSequence:

[legend]

## Public Member Functions

Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const

## Protected Member Functions

| NCollection_BaseSequence ()
Standard_EXPORT void | ClearSeq (NCollection_DelSeqNode fDel, Handle(NCollection_BaseAllocator)&theAl)
Standard_EXPORT void | PAppend (NCollection_SeqNode *)
Standard_EXPORT void | PAppend (NCollection_BaseSequence &S)
Standard_EXPORT void | PPrepend (NCollection_SeqNode *)
Standard_EXPORT void | PPrepend (NCollection_BaseSequence &S)
Standard_EXPORT void | PInsertAfter (Iterator &thePosition, NCollection_SeqNode *)
Standard_EXPORT void | PInsertAfter (const Standard_Integer Index, NCollection_SeqNode *)
Standard_EXPORT void | PInsertAfter (const Standard_Integer Index, NCollection_BaseSequence &S)
Standard_EXPORT void | PSplit (const Standard_Integer Index, NCollection_BaseSequence &Sub)
Standard_EXPORT void | RemoveSeq (Iterator &thePosition, NCollection_DelSeqNode fDel, Handle(NCollection_BaseAllocator)&theAl)
Standard_EXPORT void | RemoveSeq (const Standard_Integer Index, NCollection_DelSeqNode fDel, Handle(NCollection_BaseAllocator)&theAl)
Standard_EXPORT void | RemoveSeq (const Standard_Integer From, const Standard_Integer To, NCollection_DelSeqNode fDel, Handle(NCollection_BaseAllocator)&theAl)
Standard_EXPORT void | PReverse ()
Standard_EXPORT void | PExchange (const Standard_Integer I, const Standard_Integer J)
Standard_EXPORT const NCollection_SeqNode * | Find (const Standard_Integer) const

## Protected Attributes

const NCollection_SeqNode * | myFirstItem
const NCollection_SeqNode * | myLastItem
const NCollection_SeqNode * | myCurrentItem
Standard_Integer | myCurrentIndex
Standard_Integer | mySize

## Private Member Functions

Standard_EXPORT | NCollection_BaseSequence (const NCollection_BaseSequence &Other)
void | Nullify ()

## Data Structures

class | Iterator

## Detailed Description

Purpose: This is a base class for the Sequence. It deals with an indexed bidirectional list of NCollection_SeqNode's.

## Constructor & Destructor Documentation

NCollection_BaseSequence::NCollection_BaseSequence | ( |  | ) | `[inline, protected]`

Standard_EXPORT NCollection_BaseSequence::NCollection_BaseSequence | ( | const NCollection_BaseSequence & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void NCollection_BaseSequence::ClearSeq | ( | NCollection_DelSeqNode | fDel,
|  | Handle(NCollection_BaseAllocator)& | theAl
| ) | `[protected]`

Standard_EXPORT const NCollection_SeqNode* NCollection_BaseSequence::Find | ( | const | Standard_Integer | ) | const`[protected]`

Standard_Boolean NCollection_BaseSequence::IsEmpty | ( | void |  | ) | const`[inline]`

| Reimplemented in NCollection_Sequence< TheItemType >.

Standard_Integer NCollection_BaseSequence::Length | ( | void |  | ) | const`[inline]`

| Reimplemented in NCollection_Sequence< TheItemType >.

void NCollection_BaseSequence::Nullify | ( |  | ) | `[inline, private]`

Standard_EXPORT void NCollection_BaseSequence::PAppend | ( | NCollection_BaseSequence & | S | ) | `[protected]`

Standard_EXPORT void NCollection_BaseSequence::PAppend | ( | NCollection_SeqNode * |  | ) | `[protected]`

Standard_EXPORT void NCollection_BaseSequence::PExchange | ( | const Standard_Integer | I,
|  | const Standard_Integer | J
| ) | `[protected]`

Standard_EXPORT void NCollection_BaseSequence::PInsertAfter | ( | const Standard_Integer | Index,
|  | NCollection_BaseSequence & | S
| ) | `[protected]`

Standard_EXPORT void NCollection_BaseSequence::PInsertAfter | ( | const Standard_Integer | Index,
|  | NCollection_SeqNode * |
| ) | `[protected]`

Standard_EXPORT void NCollection_BaseSequence::PInsertAfter | ( | Iterator & | thePosition,
|  | NCollection_SeqNode * |
| ) | `[protected]`

Standard_EXPORT void NCollection_BaseSequence::PPrepend | ( | NCollection_BaseSequence & | S | ) | `[protected]`

Standard_EXPORT void NCollection_BaseSequence::PPrepend | ( | NCollection_SeqNode * |  | ) | `[protected]`

Standard_EXPORT void NCollection_BaseSequence::PReverse | ( |  | ) | `[protected]`

Standard_EXPORT void NCollection_BaseSequence::PSplit | ( | const Standard_Integer | Index,
|  | NCollection_BaseSequence & | Sub
| ) | `[protected]`

Standard_EXPORT void NCollection_BaseSequence::RemoveSeq | ( | const Standard_Integer | From,
|  | const Standard_Integer | To,
|  | NCollection_DelSeqNode | fDel,
|  | Handle(NCollection_BaseAllocator)& | theAl
| ) | `[protected]`

Standard_EXPORT void NCollection_BaseSequence::RemoveSeq | ( | const Standard_Integer | Index,
|  | NCollection_DelSeqNode | fDel,
|  | Handle(NCollection_BaseAllocator)& | theAl
| ) | `[protected]`

Standard_EXPORT void NCollection_BaseSequence::RemoveSeq | ( | Iterator & | thePosition,
|  | NCollection_DelSeqNode | fDel,
|  | Handle(NCollection_BaseAllocator)& | theAl
| ) | `[protected]`

## Field Documentation

Standard_Integer NCollection_BaseSequence::myCurrentIndex `[protected]`

const NCollection_SeqNode* NCollection_BaseSequence::myCurrentItem `[protected]`

const NCollection_SeqNode* NCollection_BaseSequence::myFirstItem `[protected]`

const NCollection_SeqNode* NCollection_BaseSequence::myLastItem `[protected]`

Standard_Integer NCollection_BaseSequence::mySize `[protected]`

The documentation for this class was generated from the following file:

- NCollection_BaseSequence.hxx